function wavechk(handles,WTval,Wnameval)

if (strcmp(Wnameval,'Daubechies') || strcmp(Wnameval,'Symlet') || strcmp(Wnameval,'B-spline'))
    set(handles.popupmenu11,'String',{'2','3','4','5','6','7','8','9','10'});
    set(handles.edit5,'Visible','off');
    set(handles.popupmenu11,'Position',[8.166666666666664 3.125 10 1.25]);
    set(handles.popupmenu11,'Visible','on');
    set(handles.text6,'Visible','on');
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
        set(handles.text6,'Visible','on');
    end
elseif (strcmp(Wnameval,'Gaussian') || strcmp(Wnameval,'Complex Gaussian'))
    set(handles.popupmenu11,'String',{'1','2','3','4','5','6','7','8','9','10'});
    set(handles.edit5,'Visible','off');
    set(handles.popupmenu11,'Position',[8.166666666666664 3.125 10 1.25]);
    set(handles.popupmenu11,'Visible','on');
    set(handles.text6,'Visible','on');
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
        set(handles.text6,'Visible','on');
    end
elseif (strcmp(Wnameval,'Biorthogonal') || strcmp(Wnameval,'Reversed biorthogonal'))
    set(handles.popupmenu11,'String',{'1.1','1.3','1.5','2.2','2.4','2.6','2.8','3.1','3.3','3.5','3.7','3.9','4.4','5.5','6.8'});
    set(handles.edit5,'Visible','off');
    set(handles.popupmenu11,'Position',[8.166666666666664 3.125 10 1.25]);
    set(handles.popupmenu11,'Visible','on');
    set(handles.text6,'Visible','on');
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
        set(handles.text6,'Visible','on');
    end
elseif strcmp(Wnameval,'Coiflet')
    set(handles.popupmenu11,'String',{'1','2','3','4','5'});
    set(handles.edit5,'Visible','off');
    set(handles.text6,'Visible','on');
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
        set(handles.text6,'Visible','on');
    end
    set(handles.popupmenu11,'Position',[8.166666666666664 3.125 10 1.25]);
    set(handles.popupmenu11,'Visible','on');
elseif (strcmp(Wnameval,'Shannon') || strcmp(Wnameval,'Complex Morlet'))
    set(handles.popupmenu11,'String',{'1-0.1','1-0.5','1-0.7','1-1','1-1.5','2-0.1','2-0.5','2-0.7','2-1','2-1.5','2-2','2-2.5','2-3','3-0.1','3-1','3-2','3-3','3-4','3-5','3-6'});
    set(handles.edit5,'Visible','off');
    set(handles.popupmenu11,'Position',[8.166666666666664 3.125 10 1.25]);
    set(handles.popupmenu11,'Visible','on');
    set(handles.text6,'Visible','on');
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
        set(handles.text6,'Visible','on');
    end
elseif strcmp(Wnameval,'Frequency B-spline')
    set(handles.popupmenu11,'String',{'1-1-0.5','1-1-1','1-1-1.5','2-1-0.1','2-1-0.5','2-1-1','2-1-1.5','2-1-2','3-1-0.1','3-1-0.5','3-1-1','3-1-1.5','3-1-2','3-2-0.1','3-2-0.5','3-2-1','3-2-1.5','3-2-2'});
    set(handles.edit5,'Visible','off');
    set(handles.popupmenu11,'Position',[8.166666666666664 3.125 10 1.25]);
    set(handles.popupmenu11,'Visible','on');
    set(handles.text6,'Visible','on');
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
        set(handles.text6,'Visible','on');
    end
elseif (strcmp(Wnameval,'Haar') || strcmp(Wnameval,'Meyer') || strcmp(Wnameval,'Pseudo-discrete Meyer') || strcmp(Wnameval,'Mexican Hat') || strcmp(Wnameval,'Morlet') || strcmp(Wnameval,'Chui-Lian 2') ...
        || strcmp(Wnameval,'Lebrun-Vetterli') || strcmp(Wnameval,'Donovan-Geronimo-Hardin-Massopust') || strcmp(Wnameval,'Farras'))
    set(handles.edit5,'Visible','off');
    set(handles.edit17,'Visible','off');
    set(handles.text6,'Visible','off');
    set(handles.text20,'Visible','off');
    if ~isempty(handles.popupmenu11)
        set(handles.popupmenu11,'Visible','off');
    end
    if strcmp(WTval,'1D Continuous Wavelet Transform')
        set(handles.edit17,'Visible','on');
        set(handles.text20,'Visible','on');
    end
elseif strcmp(Wnameval,'Fractional B-spline')
    set(handles.edit5,'Visible','on');
    set(handles.edit17,'Visible','on');
    set(handles.text6,'Visible','on');
    set(handles.text20,'Visible','on');
end
